Skip to main content
GET
/
workspaces
/
{workspaceId}
/
intents
/
{intentId}
Get Intent request by ID
curl --request GET \
  --url https://api.bron.org/workspaces/{workspaceId}/intents/{intentId}
import requests

url = "https://api.bron.org/workspaces/{workspaceId}/intents/{intentId}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bron.org/workspaces/{workspaceId}/intents/{intentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "<string>",
  "fromAssetId": "<string>",
  "intentId": "<string>",
  "toAssetId": "<string>",
  "updatedAt": "<string>",
  "expiresAt": "<string>",
  "fromAmount": "<string>",
  "price": "<string>",
  "toAmount": "<string>",
  "userSettlementDeadline": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}
{
"error": "<string>",
"message": "<string>"
}

Path Parameters

workspaceId
string
required
intentId
string
required

Response

OK

createdAt
string<date-time-millis>
required

Creation timestamp of the intent (epoch millis)

Example:

"1794678400000"

fromAssetId
string
required

ID of the asset being sent

Example:

"2"

intentId
string
required

Unique user-generated ID of the intent

Example:

"rzsdziq1iknnzszmmtqz"

status
enum<string>
required

Current status of the intent order. See details

Available options:
not-exist,
user-initiated,
auction-in-progress,
wait-for-user-tx,
wait-for-oracle-confirm-user-tx,
wait-for-solver-tx,
wait-for-oracle-confirm-solver-tx,
completed,
liquidated,
cancelled
Example:

"auction-in-progress"

toAssetId
string
required

ID of the asset to receive

Example:

"5002"

updatedAt
string<date-time-millis>
required

Last update timestamp of the intent (epoch millis)

Example:

"1794764800000"

expiresAt
string<date-time-millis>

Expiration timestamp of the intent (epoch millis)

Example:

"1758188560749"

fromAmount
string<decimal>

Amount of the from-asset specified by the user

Example:

"100.50"

price
string<decimal>

Execution price of the swap (quote/base)

Example:

"101.2312"

toAmount
string<decimal>

Amount of the to-asset requested or estimated

Example:

"0.0025"

userSettlementDeadline
string<date-time-millis>

Deadline timestamp for user settlement (epoch millis)

Example:

"1759188567456"